import request from '@/service/index.js'

export const departmentV2TreeMy = (data) => {
  return request({
    url: '/department/v2/tree/my',
    baseURL:import.meta.env.VITE_EPR_BASEURL,
    method: 'POST',
    data,
  })
}

export const departmentV2AllPosition = (data) => {
  return request({
    url: '/department/v2/tree/all/position',
    baseURL:import.meta.env.VITE_EPR_BASEURL,
    method: 'POST',
    data,
  })
}

export const departmentV2TreeAll = (data) => {
  return request({
    url: '/department/v2/tree/all',
    baseURL:import.meta.env.VITE_EPR_BASEURL,
    method: 'POST',
    data,
  })
}

export const userV2List = (data) => {
  return request({
    url: '/user/v2/list',
    baseURL:import.meta.env.VITE_EPR_BASEURL,
    method: 'POST',
    data,
  })
}

export const groupCreateDept = (data) => {
  return request({
    url: '/api/v1/group/create-dept',
    method: 'POST',
    data,
  })
}
